Developer
News and Updates
Get Support
Sign in
Get Support
Sign in
DOCUMENTATION
Cloud
Data Center
Resources
Sign in
Sign in
DOCUMENTATION
Cloud
Data Center
Resources
Sign in
  • App Installations
  • Atlassian GraphQL
  • Confluence
  • Forge Context
  • Forge Dynamic Modules
  • Forge Events
  • Forge KVS
  • Forge LLM
  • Forge Object Store
  • Forge Proxy
  • Forge Realtime
  • Forge SQL
  • Forge Usage
  • Forge WebTriggers
  • Jira
Platform
Forge / Reference / APIs for Forge Container services

Forge Object Store

Postman Collection
OpenAPI
POST

Delete Object

Deletes an object from the object store.

Request

Header parameters

forge-proxy-authorization

string

Required

Request bodyapplication/json

allOf [OsKeyRequestBody, object]

OsKeyRequestBody
object

Responses

Object deleted successfully

POST/forge/storage/os/v1/delete
1 2 3 4 5 6 7 8 curl --request POST \ --url '{FORGE_EGRESS_PROXY_URL}/forge/storage/os/v1/delete' \ --header 'forge-proxy-authorization: Forge as=app,id=invocation-123' \ --header 'Content-Type: application/json' \ --data '{ "key": "<string>", "cdn": true }'
POST

Get Metadata

Get the metadata for the specified object in the payload.

Request

Header parameters

forge-proxy-authorization

string

Required

Request bodyapplication/json

allOf [OsKeyRequestBody, object]

OsKeyRequestBody
object

Responses

Metadata retrieved successfully

application/json

OsObjectMetadataResponse
POST/forge/storage/os/v1/metadata
1 2 3 4 5 6 7 8 9 curl --request POST \ --url '{FORGE_EGRESS_PROXY_URL}/forge/storage/os/v1/metadata' \ --header 'Accept: application/json' \ --header 'forge-proxy-authorization: Forge as=app,id=invocation-123' \ --header 'Content-Type: application/json' \ --data '{ "key": "<string>", "cdn": true }'
200Response
1 2 3 4 5 6 7 { "key": "<string>", "checksum": "<string>", "size": 2154, "createdAt": "<string>", "updatedAt": "<string>" }
POST

Get Upload URL

Generates a pre-signed URL for uploading an object.

Request

Header parameters

forge-proxy-authorization

string

Required

Request bodyapplication/json

key

string

Required
length

integer

Required
checksum

string

Required
checksumType

string

Required
ttlSeconds

integer

overwrite

boolean

cdn

boolean

Responses

Upload URL generated successfully

application/json

OsUrlResponse
POST/forge/storage/os/v1/upload-url
1 2 3 4 5 6 7 8 9 10 11 12 13 14 curl --request POST \ --url '{FORGE_EGRESS_PROXY_URL}/forge/storage/os/v1/upload-url' \ --header 'Accept: application/json' \ --header 'forge-proxy-authorization: Forge as=app,id=invocation-123' \ --header 'Content-Type: application/json' \ --data '{ "key": "<string>", "length": 2154, "checksum": "<string>", "checksumType": "SHA1", "ttlSeconds": 2154, "overwrite": true, "cdn": true }'
200Response
1 2 3 { "url": "<string>" }
POST

Get Download URL

Generates a pre-signed URL for downloading an object. This URL is intended for use within zero-trust compute environments.

Request

Header parameters

forge-proxy-authorization

string

Required

Request bodyapplication/json

allOf [OsKeyRequestBody, object]

OsKeyRequestBody
object

Responses

Download URL generated successfully

application/json

OsUrlResponse
POST/forge/storage/os/v1/download-url
1 2 3 4 5 6 7 8 9 curl --request POST \ --url '{FORGE_EGRESS_PROXY_URL}/forge/storage/os/v1/download-url' \ --header 'Accept: application/json' \ --header 'forge-proxy-authorization: Forge as=app,id=invocation-123' \ --header 'Content-Type: application/json' \ --data '{ "key": "<string>", "cdn": true }'
200Response
1 2 3 { "url": "<string>" }
POST

Get Public Upload URL

Generates a public pre-signed URL for uploading an object. This URL is intended for use in browsers and other public-facing contexts.

Request

Header parameters

forge-proxy-authorization

string

Required

Request bodyapplication/json

key

string

Required
length

integer

Required
checksum

string

Required
checksumType

string

Required
ttlSeconds

integer

overwrite

boolean

cdn

boolean

Responses

Public upload URL generated successfully

application/json

OsUrlResponse
POST/forge/storage/os/v1/public-upload-url
1 2 3 4 5 6 7 8 9 10 11 12 13 14 curl --request POST \ --url '{FORGE_EGRESS_PROXY_URL}/forge/storage/os/v1/public-upload-url' \ --header 'Accept: application/json' \ --header 'forge-proxy-authorization: Forge as=app,id=invocation-123' \ --header 'Content-Type: application/json' \ --data '{ "key": "<string>", "length": 2154, "checksum": "<string>", "checksumType": "SHA1", "ttlSeconds": 2154, "overwrite": true, "cdn": true }'
200Response
1 2 3 { "url": "<string>" }
POST

Get Public Download URL

Generates a public pre-signed URL for downloading an object. This URL is intended for use in browsers and other public-facing contexts.

Request

Header parameters

forge-proxy-authorization

string

Required

Request bodyapplication/json

allOf [OsKeyRequestBody, object]

OsKeyRequestBody
object

Responses

Public download URL generated successfully

application/json

OsUrlResponse
POST/forge/storage/os/v1/public-download-url
1 2 3 4 5 6 7 8 9 curl --request POST \ --url '{FORGE_EGRESS_PROXY_URL}/forge/storage/os/v1/public-download-url' \ --header 'Accept: application/json' \ --header 'forge-proxy-authorization: Forge as=app,id=invocation-123' \ --header 'Content-Type: application/json' \ --data '{ "key": "<string>", "cdn": true }'
200Response
1 2 3 { "url": "<string>" }
POST

Get CDN URLExperimental

Generates a CDN URL for accessing an object with optional TTL. Defaults to 29 days.

Request

Header parameters

forge-proxy-authorization

string

Required

Request bodyapplication/json

allOf [OsKeyRequestBody, object]

OsKeyRequestBody
object

Responses

CDN URL generated successfully

application/json

OsUrlResponse
POST/forge/storage/os/v1/cdn-url
1 2 3 4 5 6 7 8 9 curl --request POST \ --url '{FORGE_EGRESS_PROXY_URL}/forge/storage/os/v1/cdn-url' \ --header 'Accept: application/json' \ --header 'forge-proxy-authorization: Forge as=app,id=invocation-123' \ --header 'Content-Type: application/json' \ --data '{ "key": "<string>", "ttlSeconds": 86 }'
200Response
1 2 3 { "url": "<string>" }

Rate this page: